# zostavovanie objektov z iných objektov

import tkinter

canvas = tkinter.Canvas(width=900, height=400)
canvas.pack()

class Znacka:
   def __init__(self, x, y, rychlost, canvas):
     self.x, self.y, self.rychlost = x, y, rychlost
     self.cnv = canvas
     
   def kresli(self):
     self.oval = self.cnv.create_oval(self.x - 70, self.y - 70, self.x + 70, self.y + 70, width=15, outline='red', fill='white')
     self.text = self.cnv.create_text(self.x, self.y, text=self.rychlost, font='Arial 50')
     
   def zmen_rychlost(self, zmena):
     if 10 <= self.rychlost + zmena <= 150 and zmena % 10 == 0:
       self.rychlost += zmena
       self.cnv.itemconfig(self.text, text=self.rychlost)
       
   def je_na_znacke(self, x, y): 
     return self.x-70 <= x <= self.x+70 and self.y-70 <= y <= self.y+70

    
class Panel:
   def __init__(self, x, y, pocet, canvas):
     self.x, self.y, self.pocet = x, y, pocet
     self.cnv = canvas
     self.znacky = []
     for i in range(pocet):
       z = Znacka(self.x + i*160+80, self.y + 80, 50, self.cnv)
       self.znacky.append(z)
       
   def kresli(self):
     self.id = self.cnv.create_rectangle(self.x, self.y, self.x + self.pocet*160, self.y+160, fill='black')
     for z in self.znacky:
       z.kresli()
       
   def klik(self, x, y, tlacidlo):
     if self.x <= x <= self.x+150*self.pocet and self.y <= y <= self.y+150:
         zmena = 10
         if tlacidlo == 'prave':
            zmena *= -1
         for z in self.znacky:
            if z.je_na_znacke(x, y):
                z.zmen_rychlost(zmena)



                
def lavy_klik(sur):
     panel1.klik(sur.x, sur.y, 'lave')

def pravy_klik(sur):
     panel1.klik(sur.x, sur.y, 'prave')

     
panel1 = Panel(20, 20, 5, canvas)
panel1.kresli()

canvas.bind('<Button-1>', lavy_klik)
canvas.bind('<Button-3>', pravy_klik)


















